package org.firstinspires.ftc.teamcode.cometbots.paths;


import org.firstinspires.ftc.teamcode.pedroPathing.follower.Follower;
import org.firstinspires.ftc.teamcode.pedroPathing.localization.Pose;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.BezierLine;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.PathBuilder;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.PathChain;
import org.firstinspires.ftc.teamcode.pedroPathing.pathGeneration.Point;


/*
    AutoLine# - This file does something of a path......

 */
public class HighBasketPath2 {


    public void moveToPath2(Follower robot) {
        PathChain pathChain;
        PathBuilder builder = new PathBuilder();
        builder
                .addPath(
                        // Line 1
                        new BezierLine(
                                new Point(20.000, 130.000, Point.CARTESIAN),
                                new Point(27.000, 117.000, Point.CARTESIAN)
                        )
                )
                .setLinearHeadingInterpolation(Math.toRadians(0), Math.toRadians(0));
        pathChain = builder.build();
        robot.followPath(pathChain);
    }

}

